#!/bin/bash

# Some parts are from Bing Copilot.

#
# Script to help mounting ENSTA Bretagne network drives
#

# Check if the current user is tmpiot or stic
if [ "$USER" == "tmpiot" ] || [ "$USER" == "stic" ]; then
    read -p "What is your 6+2 login? " LOGIN
else
    LOGIN=$USER
fi
read -sp "What is your 6+2 password? " PASSWORD
echo " "
#read -p "Which number X is your utilisateursX folder (to find in U: drive properties on Windows, possibly 1,2,21,22,23,3,4,5,...)? " NUMBERX

MOUNTPOINT=/nethome/$LOGIN
mkdir -p $MOUNTPOINT
#chown $USER $MOUNTPOINT
if [ "$(stat -c '%a' $MOUNTPOINT)" != "777" ]
then
    chmod 777 $MOUNTPOINT
fi

USER=$LOGIN

# Try to find NUMBERX if not set...
if [ -z "$NUMBERX" ]; then
    # Temporary mount...
    mkdir -p /nethome/data
    sudo mount -t cifs -o username=$LOGIN,password=$PASSWORD,nounix,dir_mode=0777,file_mode=0777 //ensieta.ecole/data /nethome/data
    for NUMBERX in 1 2 20 21 22 23 24 25 26 27 3 4 5 6 7; do
        if [ -d "/nethome/data/utilisateurs$NUMBERX/$LOGIN" ]; then
            break
        fi
    done
    sudo umount /nethome/data
    rm -d /nethome/data
fi

sudo mount -t cifs -o username=$LOGIN,password=$PASSWORD,nounix,dir_mode=0777,file_mode=0777 //ensieta.ecole/data/utilisateurs$NUMBERX/$LOGIN $MOUNTPOINT

# Mount public and enseignement directories
sudo mount -t cifs -o username=$LOGIN,password=$PASSWORD,nounix,dir_mode=0777,file_mode=0777 //ensieta.ecole/data/public /public
sudo mount -t cifs -o username=$LOGIN,password=$PASSWORD,nounix,dir_mode=0777,file_mode=0777 //ensieta.ecole/data/enseignement /ens

unset PASSWORD

echo "Check network drives in /nethome/$LOGIN, /public, /ens"
echo "To unmount (important for data confidentiality): sudo umount /nethome/$LOGIN /public /ens"
